Bug 1730633 - [abrt] tb_ring_start: WARNING: CPU: 1 PID: 22137 at drivers/thunderbolt/nhi.c:104 ring_interrupt_active+0x1ef/0x240 [thunderbolt] [thunderbolt]
Summary: [abrt] tb_ring_start: WARNING: CPU: 1 PID: 22137 at drivers/thunderbolt/nhi.c...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:010f2fd652d88feac65db82075c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 08:48 UTC by Kamil Páral
Modified: 2019-10-22 10:06 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-17 20:08:03 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (163.31 KB, text/plain)
2019-07-17 08:48 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2019-07-17 08:48:52 UTC
Description of problem:
I resumed my laptop with thunderbolt cable plugged in (using a docking station).

Additional info:
reporter:       libreport-2.10.1
WARNING: CPU: 1 PID: 22137 at drivers/thunderbolt/nhi.c:104 ring_interrupt_active+0x1ef/0x240 [thunderbolt]
Modules linked in: vhost_net vhost tap snd_usb_audio snd_usbmidi_lib snd_rawmidi cdc_ether usbnet r8152 mii nfs_layout_nfsv41_files rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace fscache thunderbolt rfcomm ccm xt_CHECKSUM ipt_MASQUERADE xt_conntrack ipt_REJECT nf_reject_ipv4 tun bridge stp llc cmac ip6table_mangle ip6table_nat iptable_mangle iptable_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables fuse bnep arc4 elan_i2c sunrpc mei_wdt mei_hdcp iwlmvm snd_soc_skl iTCO_wdt iTCO_vendor_support snd_soc_hdac_hda snd_hda_ext_core vfat fat snd_hda_codec_hdmi snd_soc_skl_ipc mac80211 snd_soc_sst_ipc snd_soc_sst_dsp snd_soc_acpi_intel_match snd_soc_acpi intel_rapl snd_soc_core snd_hda_codec_realtek x86_pkg_temp_thermal snd_hda_codec_generic intel_powerclamp coretemp snd_compress kvm_intel ac97_bus snd_pcm_dmaengine btusb snd_hda_intel btrtl snd_hda_codec btbcm btintel kvm
 bluetooth iwlwifi uvcvideo joydev snd_hda_core wmi_bmof intel_wmi_thunderbolt videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 snd_hwdep videobuf2_common irqbypass intel_cstate videodev snd_seq intel_uncore cfg80211 snd_seq_device intel_rapl_perf media snd_pcm ecdh_generic thinkpad_acpi snd_timer ledtrig_audio snd intel_xhci_usb_role_switch idma64 mei_me rfkill roles soundcore int3403_thermal i2c_i801 mei intel_lpss_pci processor_thermal_device intel_lpss ucsi_acpi typec_ucsi int340x_thermal_zone typec intel_soc_dts_iosf intel_pch_thermal int3400_thermal acpi_thermal_rel acpi_pad pcc_cpufreq dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit uas drm_kms_helper ghash_clmulni_intel usb_storage nvme e1000e drm nvme_core serio_raw wmi video
CPU: 1 PID: 22137 Comm: kworker/u16:53 Not tainted 5.1.17-300.fc30.x86_64 #1
Hardware name: LENOVO 20L8S2N80D/20L8S2N80D, BIOS N22ET54W (1.31 ) 04/22/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:ring_interrupt_active+0x1ef/0x240 [thunderbolt]
Code: 00 00 00 44 89 44 24 04 e8 ce 16 3e f0 44 8b 44 24 04 4d 89 f1 4c 89 e1 48 89 c6 4c 89 fa 48 c7 c7 c0 3c 27 c1 e8 d0 c9 e7 ef <0f> 0b e9 1b ff ff ff 0f b6 43 78 d3 e0 09 c7 e9 dc fe ff ff 44 03
RSP: 0000:ffffa7008d0b7d30 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff8cb789185000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff8cb8a62568c0
RBP: 00000000ffffffff R08: 000039bd917af530 R09: ffffffffb29bde04
R10: 0000000000000800 R11: 000000000001212c R12: ffffffffc1273321
R13: 0000000000038200 R14: ffffffffc1273310 R15: ffff8cb85f07f100
FS:  0000000000000000(0000) GS:ffff8cb8a6240000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 00000005d7b20002 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 tb_ring_start+0xbf/0x190 [thunderbolt]
 tb_ctl_start+0x25/0xa0 [thunderbolt]
 tb_domain_resume_noirq+0x2b/0x60 [thunderbolt]
 ? pci_pm_thaw_noirq+0xc0/0xc0
 dpm_run_callback+0x4f/0x140
 ? pci_pm_thaw_noirq+0xc0/0xc0
 device_resume_noirq+0xa4/0x260
 async_resume_noirq+0x19/0x30
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x380
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x380/0x380
 ? kthread_park+0x90/0x90
 ret_from_fork+0x35/0x40

Potential duplicate: bug 1692378

Comment 1 Kamil Páral 2019-07-17 08:48:57 UTC
Created attachment 1591346 [details]
File: dmesg

Comment 2 Justin M. Forbes 2019-08-20 17:34:26 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 30 kernel bugs.

Fedora 30 has now been rebased to 5.2.9-200.fc30.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 31, and are still experiencing this issue, please change the version to Fedora 31.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2019-09-17 20:08:03 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 4 Kamil Páral 2019-09-26 06:51:54 UTC
Description of problem:
I connected a Thunderbolt docking station and resumed my laptop.

Version-Release number of selected component:
kernel-core-5.2.17-200.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.2.17-200.fc30.x86_64 root=/dev/mapper/phoenix-root ro resume=/dev/mapper/phoenix-swap rd.luks.uuid=luks-e31caabd-b498-4d5c-86d5-f5b4f51c0065 rd.lvm.lv=phoenix/root rd.lvm.lv=phoenix/swap rd.luks.options=discard rhgb quiet
crash_function: tb_ring_start
kernel:         5.2.17-200.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 6 PID: 3857 at drivers/thunderbolt/nhi.c:104 ring_interrupt_active+0x1ef/0x240 [thunderbolt]
Modules linked in: rfcomm xt_CHECKSUM xt_MASQUERADE xt_conntrack ipt_REJECT nf_reject_ipv4 tun bridge stp llc ip6table_mangle ip6table_nat iptable_mangle iptable_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac fuse bnep typec_displayport elan_i2c snd_soc_skl sunrpc snd_soc_hdac_hda snd_hda_ext_core snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_codec_hdmi arc4 snd_soc_acpi_intel_match snd_soc_acpi snd_soc_core intel_rapl snd_hda_codec_realtek snd_hda_codec_generic snd_compress x86_pkg_temp_thermal intel_powerclamp ac97_bus snd_pcm_dmaengine coretemp iTCO_wdt mei_hdcp snd_hda_intel iwlmvm mei_wdt iTCO_vendor_support kvm_intel snd_hda_codec vfat mac80211 snd_usb_audio fat snd_hda_core kvm snd_usbmidi_lib uvcvideo snd_rawmidi snd_hwdep videobuf2_vmalloc snd_seq btusb btrtl irqbypass videobuf2_memops videobuf2_v4l2 btbcm intel_cstate iwlwifi intel_uncore btintel snd_seq_device
 videobuf2_common intel_rapl_perf bluetooth snd_pcm joydev intel_wmi_thunderbolt videodev i2c_i801 wmi_bmof snd_timer cfg80211 thinkpad_acpi media ecdh_generic mei_me thunderbolt ledtrig_audio ecc idma64 mei intel_xhci_usb_role_switch snd ucsi_acpi typec_ucsi intel_lpss_pci roles processor_thermal_device intel_soc_dts_iosf intel_lpss intel_pch_thermal soundcore rfkill typec int3403_thermal int340x_thermal_zone pcc_cpufreq int3400_thermal acpi_pad acpi_thermal_rel ip_tables dm_crypt i915 i2c_algo_bit crct10dif_pclmul drm_kms_helper crc32_pclmul crc32c_intel nvme e1000e ghash_clmulni_intel drm nvme_core uas serio_raw r8152 usb_storage mii wmi video
CPU: 6 PID: 3857 Comm: kworker/u16:10 Not tainted 5.2.17-200.fc30.x86_64 #1
Hardware name: LENOVO 20L8S2N80D/20L8S2N80D, BIOS N22ET57W (1.34 ) 09/02/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:ring_interrupt_active+0x1ef/0x240 [thunderbolt]
Code: 00 00 00 44 89 44 24 04 e8 7e 31 c7 ea 44 8b 44 24 04 4d 89 f1 4c 89 e1 48 89 c6 4c 89 fa 48 c7 c7 48 a1 9f c0 e8 a0 cd 6f ea <0f> 0b e9 1b ff ff ff 0f b6 43 78 d3 e0 09 c7 e9 dc fe ff ff 44 03
RSP: 0000:ffffbd53cb163d20 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff98ead5e8fe40 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff98eae6397900
RBP: 00000000ffffffff R08: 000001134803e726 R09: ffffffffacbd9e44
R10: 0000000000000505 R11: 0000000000023a38 R12: ffffffffc09f9669
R13: 0000000000038200 R14: ffffffffc09f9658 R15: ffff98eae19a7030
FS:  0000000000000000(0000) GS:ffff98eae6380000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000011640a001 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 tb_ring_start+0xbf/0x190 [thunderbolt]
 tb_ctl_start+0x28/0x90 [thunderbolt]
 ? preempt_schedule_common+0x14/0x20
 tb_domain_resume_noirq+0x2b/0x60 [thunderbolt]
 ? pci_pm_thaw_noirq+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 ? pci_pm_thaw_noirq+0xb0/0xb0
 device_resume_noirq+0xa5/0x250
 async_resume_noirq+0x19/0x30
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x380
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x380/0x380
 ? kthread_park+0x80/0x80
 ret_from_fork+0x35/0x40


Note You need to log in before you can comment on or make changes to this bug.